## ros-rolling-rqt-image-view 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rqt_image_view)

find_package(ament_cmake REQUIRED)

if(WIN32)
  message(STATUS "rqt_image_view is not yet supported on Windows. Package will not be built.")
  ament_package()
  return()
endif()

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(rclcpp REQUIRED)
find_package(qt_gui_cpp REQUIRED)
find_package(rqt_gui_cpp REQUIRED)
find_package(image_transport REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(ament_cmake_python REQUIRED)

set(rqt_image_view_SRCS
  src/rqt_image_view/image_view.cpp
  src/rqt_image_view/ratio_layouted_frame.cpp
)

set(rqt_image_view_HDRS
  include/rqt_image_view/image_view.h
  include/rqt_image_view/ratio_layouted_frame.h
)

set(rqt_image_view_UIS
  src/rqt_image_view/image_view.ui
)

set(rqt_image_view_INCLUDE_DIRECTORIES
  include
  ${rclcpp_INCLUDE_DIRS}
  ${qt_gui_cpp_INCLUDE_DIRS}
  ${rqt_gui_cpp_INCLUDE_DIRS}
  ${sensor_msgs_INCLUDE_DIRS}
  ${geometry_msgs_INCLUDE_DIRS}
  ${Qt5Widgets_INCLUDE_DIRS}
)

qt5_wrap_cpp(rqt_image_view_MOCS ${rqt_image_view_HDRS})

qt5_wrap_ui(rqt_image_view_UIS_H ${rqt_image_view_UIS})

include_directories(
  ${rqt_image_view_INCLUDE_DIRECTORIES}
)

add_library(${PROJECT_NAME} SHARED
  ${rqt_image_view_SRCS}
  ${rqt_image_view_MOCS}
  ${rqt_image_view_UIS_H}
)

target_link_libraries(
  ${PROJECT_NAME}
  ${rclcpp_LIBRARIES}
  ${qt_gui_cpp_LIBRARIES}
  ${rqt_gui_cpp_LIBRARIES}
  image_transport::image_transport
  ${sensor_msgs_LIBRARIES}
  ${geometry_msgs_LIBRARIES}
  cv_bridge::cv_bridge
  Qt5::Widgets
)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib/${PROJECT_NAME}
  LIBRARY DESTINATION lib/${PROJECT_NAME}
  RUNTIME DESTINATION bin/${PROJECT_NAME}
  INCLUDES DESTINATION include)

install(PROGRAMS scripts/rqt_image_view
  DESTINATION lib/${PROJECT_NAME}
)

install(PROGRAMS scripts/image_publisher
  DESTINATION lib/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(FILES plugin.xml
  DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY resource
  DESTINATION share/${PROJECT_NAME}
)

pluginlib_export_plugin_description_file(rqt_gui "plugin.xml")

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-rolling-rqt-image-view (1.1.2-1focal) focal; urgency=high

  * Use image_transport and cv_bridge targets (#62 <https://github.com/ros-visualization/rqt_image_view/issues/62>)
  * Contributors: Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 20 Jan 2022 00:00:00 -0000

ros-rolling-rqt-image-view (1.1.1-1focal) focal; urgency=high

  * Updated maintainers.
  * Contributors: Mabel Zhang

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-rolling-rqt-image-view (1.1.0-1focal) focal; urgency=high

  * fix segfault on topic change (#40 <https://github.com/ros-visualization/rqt_image_view/issues/40>)
  * fix ImportError in image_publisher script (#39 <https://github.com/ros-visualization/rqt_image_view/issues/39>)
  * update include directives for image_transport to avoid deprecation warning (#34 <https://github.com/ros-visualization/rqt_image_view/issues/34>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 07 Aug 2020 00:00:00 -0000

ros-rolling-rqt-image-view (1.0.4-1focal) focal; urgency=high

  * fix missing include for QSet (#31 <https://github.com/ros-visualization/rqt_image_view/issues/31>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 10 Jan 2020 00:00:00 -0000

ros-rolling-rqt-image-view (1.0.3-1focal) focal; urgency=high

  * Avoid deprecated API (#28 <https://github.com/ros-visualization/rqt_image_view/issues/28>)
  * Contributors: Karsten Knese

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-rqt-image-view (1.0.0-1focal) focal; urgency=high

  * fix various compiler warnings (#20 <https://github.com/ros-visualization/rqt_image_view/issues/20>)
  * Notifying developers that rqt_image_view is not available for windows (#19 <https://github.com/ros-visualization/rqt_image_view/issues/19>)
  * Ros2 port (#18 <https://github.com/ros-visualization/rqt_image_view/issues/18>)
  * Contributors: Dirk Thomas, Mike Lautman

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.13-1focal) focal; urgency=high

  * add build dependency on Qt5 dev package (#15 <https://github.com/ros-visualization/rqt_image_view/issues/15>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 May 2018 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.12-1focal) focal; urgency=high

  * save and restore the smooth image check box state (#13 <https://github.com/ros-visualization/rqt_image_view/issues/13>)
  * allow image rotation in 90° steps (#10 <https://github.com/ros-visualization/rqt_image_view/issues/10>)
  * use Python distutils to install the global rqt_image_view executable (#12 <https://github.com/ros-visualization/rqt_image_view/issues/12>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 May 2018 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.11-1focal) focal; urgency=high

  * use catkin_install_python with scripts (#8 <https://github.com/ros-visualization/rqt_image_view/issues/8>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.10-1focal) focal; urgency=high

  * add option to render grid (#7 <https://github.com/ros-visualization/rqt_image_view/issues/7>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 13 Oct 2017 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.9-1focal) focal; urgency=high

  * reduce the size of the image border on the left and right side (#5 <https://github.com/ros-visualization/rqt_image_view/issues/5>)
  * avoid shrinking the image when the aspect ratio changes (#4 <https://github.com/ros-visualization/rqt_image_view/issues/4>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.4-1focal) focal; urgency=high

  * add checkbox for optional smooth image scaling (#385 <https://github.com/ros-visualization/rqt_common_plugins/issues/385>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.3-1focal) focal; urgency=high

  * generate UI headers in devel space to avoid CMake warning (#401 <https://github.com/ros-visualization/rqt_common_plugins/pull/401>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.2-1focal) focal; urgency=high

  * select existing topic (#391 <https://github.com/ros-visualization/rqt_common_plugins/pull/391>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.1-1focal) focal; urgency=high

  * add the possibility to publish mouse events (#368 <https://github.com/ros-visualization/rqt_common_plugins/issues/368>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 00:00:00 -0000

ros-rolling-rqt-image-view (0.4.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 00:00:00 -0000

ros-rolling-rqt-image-view (0.3.13-1focal) focal; urgency=high

  * use proper icon for images
  * add optional topic argument to rqt_image_view
  * fix width of save-as-image button
  * Contributors: Dirk Thomas, Vincent Rabaud

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 00:00:00 -0000

ros-rolling-rqt-image-view (0.3.12-1focal) focal; urgency=high



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rqt-image-view//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rqt-image-view 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,23 +46,9 @@
   src/rqt_image_view/image_view.ui
 )
 
-set(rqt_image_view_INCLUDE_DIRECTORIES
-  include
-  ${rclcpp_INCLUDE_DIRS}
-  ${qt_gui_cpp_INCLUDE_DIRS}
-  ${rqt_gui_cpp_INCLUDE_DIRS}
-  ${sensor_msgs_INCLUDE_DIRS}
-  ${geometry_msgs_INCLUDE_DIRS}
-  ${Qt5Widgets_INCLUDE_DIRS}
-)
-
 qt5_wrap_cpp(rqt_image_view_MOCS ${rqt_image_view_HDRS})
 
 qt5_wrap_ui(rqt_image_view_UIS_H ${rqt_image_view_UIS})
-
-include_directories(
-  ${rqt_image_view_INCLUDE_DIRECTORIES}
-)
 
 add_library(${PROJECT_NAME} SHARED
   ${rqt_image_view_SRCS}
@@ -70,25 +56,28 @@
   ${rqt_image_view_UIS_H}
 )
 
-target_link_libraries(
-  ${PROJECT_NAME}
-  ${rclcpp_LIBRARIES}
-  ${qt_gui_cpp_LIBRARIES}
-  ${rqt_gui_cpp_LIBRARIES}
+target_include_directories(${PROJECT_NAME} PUBLIC
+  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
+  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
+
+target_link_libraries(${PROJECT_NAME} PUBLIC
+  ${rclcpp_TARGETS}
+  ${qt_gui_cpp_TARGETS}
+  ${rqt_gui_cpp_TARGETS}
   image_transport::image_transport
-  ${sensor_msgs_LIBRARIES}
-  ${geometry_msgs_LIBRARIES}
-  cv_bridge::cv_bridge
+  ${sensor_msgs_TARGETS}
+  ${geometry_msgs_TARGETS}
   Qt5::Widgets
 )
+target_link_libraries(${PROJECT_NAME} PRIVATE
+  cv_bridge::cv_bridge)
 
 install(
   TARGETS ${PROJECT_NAME}
   EXPORT ${PROJECT_NAME}
   ARCHIVE DESTINATION lib/${PROJECT_NAME}
   LIBRARY DESTINATION lib/${PROJECT_NAME}
-  RUNTIME DESTINATION bin/${PROJECT_NAME}
-  INCLUDES DESTINATION include)
+  RUNTIME DESTINATION bin/${PROJECT_NAME})
 
 install(PROGRAMS scripts/rqt_image_view
   DESTINATION lib/${PROJECT_NAME}
@@ -100,7 +89,7 @@
 
 install(
   DIRECTORY include/
-  DESTINATION include
+  DESTINATION include/${PROJECT_NAME}
 )
 
 install(FILES plugin.xml
@@ -113,7 +102,11 @@
 
 pluginlib_export_plugin_description_file(rqt_gui "plugin.xml")
 
-ament_export_include_directories(include)
+# Export old-style CMake variables
+ament_export_include_directories("include/${PROJECT_NAME}")
 ament_export_libraries(${PROJECT_NAME})
 
+# Export new-style CMake variables
+ament_export_targets(${PROJECT_NAME})
+
 ament_package()

=== debian/changelog ===
ros-rolling-rqt-image-view (1.2.0-2jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#63 <https://github.com/ros-visualization/rqt_image_view/issues/63>)
  * Using "sensor data" QoS profile with BEST_EFFORT (#67 <https://github.com/ros-visualization/rqt_image_view/issues/67>)
  * fix: modify qt deprecation warning (#68 <https://github.com/ros-visualization/rqt_image_view/issues/68>)
  * [FIX] add missing QComboBox to ui (#66 <https://github.com/ros-visualization/rqt_image_view/issues/66>)
  * [Rolling] Remember color scheme (#64 <https://github.com/ros-visualization/rqt_image_view/issues/64>)
  * Remember color scheme
  * Contributors: Daisuke Nishimatsu, Karl Schulz, Matthijs van der Burgh, Shane Loretz, wodtko

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 07 Apr 2022 07:00:00 -0000

ros-rolling-rqt-image-view (1.1.2-2jammy) jammy; urgency=high

  * Use image_transport and cv_bridge targets (#62 <https://github.com/ros-visualization/rqt_image_view/issues/62>)
  * Contributors: Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 20 Jan 2022 08:00:00 -0000

ros-rolling-rqt-image-view (1.1.1-2jammy) jammy; urgency=high

  * Updated maintainers.
  * Contributors: Mabel Zhang

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-rolling-rqt-image-view (1.1.0-2jammy) jammy; urgency=high

  * fix segfault on topic change (#40 <https://github.com/ros-visualization/rqt_image_view/issues/40>)
  * fix ImportError in image_publisher script (#39 <https://github.com/ros-visualization/rqt_image_view/issues/39>)
  * update include directives for image_transport to avoid deprecation warning (#34 <https://github.com/ros-visualization/rqt_image_view/issues/34>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 Aug 2020 07:00:00 -0000

ros-rolling-rqt-image-view (1.0.4-2jammy) jammy; urgency=high

  * fix missing include for QSet (#31 <https://github.com/ros-visualization/rqt_image_view/issues/31>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 10 Jan 2020 08:00:00 -0000

ros-rolling-rqt-image-view (1.0.3-2jammy) jammy; urgency=high

  * Avoid deprecated API (#28 <https://github.com/ros-visualization/rqt_image_view/issues/28>)
  * Contributors: Karsten Knese

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rqt-image-view (1.0.0-2jammy) jammy; urgency=high

  * fix various compiler warnings (#20 <https://github.com/ros-visualization/rqt_image_view/issues/20>)
  * Notifying developers that rqt_image_view is not available for windows (#19 <https://github.com/ros-visualization/rqt_image_view/issues/19>)
  * Ros2 port (#18 <https://github.com/ros-visualization/rqt_image_view/issues/18>)
  * Contributors: Dirk Thomas, Mike Lautman

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-rolling-rqt-image-view (0.4.13-2jammy) jammy; urgency=high

  * add build dependency on Qt5 dev package (#15 <https://github.com/ros-visualization/rqt_image_view/issues/15>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 02 May 2018 07:00:00 -0000

ros-rolling-rqt-image-view (0.4.12-2jammy) jammy; urgency=high

  * save and restore the smooth image check box state (#13 <https://github.com/ros-visualization/rqt_image_view/issues/13>)
  * allow image rotation in 90° steps (#10 <https://github.com/ros-visualization/rqt_image_view/issues/10>)
  * use Python distutils to install the global rqt_image_view executable (#12 <https://github.com/ros-visualization/rqt_image_view/issues/12>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 02 May 2018 07:00:00 -0000

ros-rolling-rqt-image-view (0.4.11-2jammy) jammy; urgency=high

  * use catkin_install_python with scripts (#8 <https://github.com/ros-visualization/rqt_image_view/issues/8>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-rolling-rqt-image-view (0.4.10-2jammy) jammy; urgency=high

  * add option to render grid (#7 <https://github.com/ros-visualization/rqt_image_view/issues/7>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 13 Oct 2017 07:00:00 -0000

ros-rolling-rqt-image-view (0.4.9-2jammy) jammy; urgency=high

  * reduce the size of the image border on the left and right side (#5 <https://github.com/ros-visualization/rqt_image_view/issues/5>)
  * avoid shrinking the image when the aspect ratio changes (#4 <https://github.com/ros-visualization/rqt_image_view/issues/4>)

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-rolling-rqt-image-view (0.4.8-2jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-rolling-rqt-image-view (0.4.7-2jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 02 Mar 2017 08:00:00 -0000

ros-rolling-rqt-image-view (0.4.6-2jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-rolling-rqt-image-view (0.4.5-2jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 03 Feb 2017 08:00:00 -0000

ros-rolling-rqt-image-view (0.4.4-2jammy) jammy; urgency=high

  * add checkbox for optional smooth image scaling (#385 <https://github.com/ros-visualization/rqt_common_plugins/issues/385>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-rolling-rqt-image-view (0.4.3-2jammy) jammy; urgency=high

  * generate UI headers in devel space to avoid CMake warning (#401 <https://github.com/ros-visualization/rqt_common_plugins/pull/401>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-rolling-rqt-image-view (0.4.2-2jammy) jammy; urgency=high

  * select existing topic (#391 <https://github.com/ros-visualization/rqt_common_plugins/pull/391>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-rolling-rqt-image-view (0.4.1-2jammy) jammy; urgency=high



=== debian/control ===
Source: ros-rolling-rqt-image-view
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-cv-bridge, ros-rolling-geometry-msgs, ros-rolling-image-transport, ros-rolling-qt-gui-cpp, ros-rolling-rclcpp, ros-rolling-rqt-gui, ros-rolling-rqt-gui-cpp, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: http://wiki.ros.org/rqt_image_view
Standards-Version: 3.9.2

Package: ros-rolling-rqt-image-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-cv-bridge, ros-rolling-geometry-msgs, ros-rolling-image-transport, ros-rolling-qt-gui-cpp, ros-rolling-rclcpp, ros-rolling-rqt-gui, ros-rolling-rqt-gui-cpp, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: rqt_image_view provides a GUI plugin for displaying images using image_transport.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
